This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1003187 - QEMU source rpm does not build because it contains an obsolete libfdt_env.h
QEMU source rpm does not build because it contains an obsolete libfdt_env.h
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-31 11:57 EDT by Tim Coote
Modified: 2013-09-18 08:57 EDT (History)
10 users (show)

See Also:
Fixed In Version: qemu-1.2.2-14.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 08:57:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Coote 2013-08-31 11:57:59 EDT
Description of problem:
As per bug https://bugzilla.redhat.com/show_bug.cgi?id=969955, the qemu source rpm includes an old version of libfdt_env.h, which does not some fdt specific types - these definitions have made it into the /usr/include/libfdt_env.h. The source rpm will not build.

Cole Robinson fixed this for f18, but it's not been backported.

Version-Release number of selected component (if applicable):
1.2.0

How reproducible:


Steps to Reproduce:
1. install source rpm for qemu
2. rpmbuild -ba qemu.spec
3. make fails

Actual results:
missing declaration of fdt{16,32,64}_t are not defined for some of the compiles

Expected results:
build should succeed.


Additional info:
Comment 1 Cole Robinson 2013-08-31 16:02:33 EDT
There's a patch dropping the static header in F19+, just need to push it to F18
Comment 2 Fedora Update System 2013-09-03 15:48:20 EDT
qemu-1.2.2-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/qemu-1.2.2-14.fc18
Comment 3 Fedora Update System 2013-09-04 21:30:24 EDT
Package qemu-1.2.2-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.2.2-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15778/qemu-1.2.2-14.fc18
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-09-18 08:57:19 EDT
qemu-1.2.2-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.